
function createIcon(className, layer, x, y, parent){
	const iconClass = globalThis._runtime.objects[className];
	if(iconClass != null){
		const icon = iconClass.createInstance(layer, x, y, false);
		
		if(parent != null) {
			parent.addChild(icon, {
				"transformX": true,
				"transformY" : true,
				"destroyWithParent" : true
			});
		}

	}
}

export const Utils = {
	createIcon: createIcon
};